%define anolis_release 2

Name:          python-appdirs
Version:       1.4.4
Release:       %{anolis_release}%{?dist}
Summary:       Python module for determining platform-specific directories

License:       MIT
URL:           https://github.com/ActiveState/appdirs
Source:        %{pypi_source appdirs}

BuildArch:     noarch

BuildRequires: python3-devel

%description
A small Python module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".


%package -n python3-appdirs
Summary:        %{summary}

%description -n python3-appdirs
A small Python 3 module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

%package -n python3-appdirs-doc
Summary:        Documentation files for %{name}
Requires:       python3-appdirs = %{EVR}
BuildArch:      noarch

%description    -n python3-appdirs-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n appdirs-%{version}
sed -i -e '1{\@^#!/usr/bin/env python@d}' appdirs.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files appdirs


%check
# upstream's tox.ini just wraps this command with no extra deps
# we don't use %%tox here to avoid a dependency loop: tox->platformdirs->appdirs
%{python3} setup.py test


%files -n python3-appdirs -f %{pyproject_files}

%files -n python3-appdirs-doc
%doc README.rst CHANGES.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.4.4-2
- Rebuild with python3.11

* Fri Mar 24 2023 happy_orange <songnannan@linux.alibaba.com> - 1.4.4-1
- init package from upstream
